सामग्री पर जाएँ

Hunyuan 3D Part Splitter

इंटीग्रेट करें

मॉडल id hunyuan-3d/v3.1/part
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-3d/v3.1/part?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_file_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.45 450 API क्रेडिट · ≈ ₽48.41 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Tencent 3D #3d#hunyuan#mesh

एक FBX 3D मॉडल को अलग-अलग पार्ट फ़ाइलों में विभाजित करता है

Tencent · डेटा (JSON)

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक
फ़ाइल ड्रॉप करें, या

भागों के विभाजन के लिए मॉडल को FBX फ़ाइल URL के माध्यम से दें; अन्य फ़ॉर्मैट समर्थित नहीं हैं। AIGC से जेनरेट किए गए मॉडल अनुशंसित हैं और फ़ाइल को दोनों सीमाओं के भीतर रहना चाहिए: 100 MB और 30,000 फ़ेस।

POST /run/hunyuan-3d/v3.1/part?wait=20 कोटेशन → $0.45
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan-3d/v3.1/part?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "input_file_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Hunyuan 3D Part Splitter के बारे में

`input_file_url` के ज़रिए FBX फ़ाइल लेता है और मॉडल को पार्ट्स में विभाजित करता है, जिन्हें FBX फ़ाइलों की सूची के रूप में लौटाया जाता है। केवल FBX समर्थित है, जिसका अधिकतम आकार 100MB और face count 30,000 या उससे कम होना चाहिए। यह AI-जनरेटेड मॉडल पर सबसे अच्छा काम करता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
input_file_urlआवश्यक
प्रकारurl · file
भागों के विभाजन के लिए मॉडल को FBX फ़ाइल URL के माध्यम से दें; अन्य फ़ॉर्मैट समर्थित नहीं हैं। AIGC से जेनरेट किए गए मॉडल अनुशंसित हैं और फ़ाइल को दोनों सीमाओं के भीतर रहना चाहिए: 100 MB और 30,000 फ़ेस।
आवश्यक

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan-3d/v3.1/part",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 450,
    "usd": "0.45",
    "charged": 450,
    "refunded": 0
  },
  "input": {
    "input_file_url": "https://example.com/your-file.bin"
  },
  "output": {
    "result_files": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
result_files
array of object {url, content_type, file_name, file_size}जेनरेट किए गए भागों वाली FBX फ़ाइलों की सूची।

और मॉडल: 3D

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/hunyuan-3d/v3.1/part.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt